Skip to main content
GET
/
api
/
products
/
export-fields
Get Export Fields
curl --request GET \
  --url https://api.merchantops.ai/api/products/export-fields
{
  "property_fields": [
    {
      "key": "<string>",
      "label": "<string>",
      "type": "<string>",
      "hasLabels": true,
      "productTypeCount": 123,
      "propertyType": "<string>",
      "subFields": [
        "<string>"
      ]
    }
  ],
  "system_fields": [
    {
      "key": "<string>",
      "label": "<string>",
      "type": "<string>",
      "hasLabels": true,
      "productTypeCount": 123,
      "propertyType": "<string>",
      "subFields": [
        "<string>"
      ]
    }
  ]
}

Headers

authorization
string | null
X-Organization-ID
string | null

Query Parameters

product_type_keys
string | null

Comma-separated ProductType keys

product_keys
string | null

Comma-separated product keys

Cookies

stytch_session
string | null

Response

Successful Response

Response for the export-fields endpoint.

property_fields
ExportFieldResponse · object[]
required
system_fields
ExportFieldResponse · object[]
required